Bug 36666 - Kickstart fails with previously formatted raided disks
Kickstart fails with previously formatted raided disks
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 11:31 EDT by Anders Blomdell
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 03:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Blomdell 2001-04-19 11:31:58 EDT
Redhat 7.1 fails to kickstart install with previously raided disk.

This is what the kickstart file says:

part / --usepart hda1
part swap --usepart hda5
part swap --usepart hdb5
part raid.01 --usepart hda6  --noformat
part raid.02 --usepart hdb6  --noformat
part /backup/homeB --usepart hda7 --noformat
part /backup/homeC --usepart hdb7 --noformat
raid /homeA --level 1 --device md0 raid.01 raid.02

And this is what anaconda thinks about that (I'm sorry that I haven't a fix 
ready, but commenting out the 'raid /homeA', makes anaconda happy, and 
fixing the /homeA, /etc/raidtab and /etc/fstab manually is a workable fix at 
the moment):

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/partitioning_text.py", 
line 144, in __call__
    todo.fstab.setFormatFilesystem(dev, 0)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 347, in 
setFormatFilesystem
    raise TypeError, "unknown partition to format %s" % (device,)
TypeError: unknown partition to format hda6

Local variables in innermost frame:
size: 0
fsystem: ext2
self: <fstab.NewtFstab instance at 8261b30>
partition: md0
doFormat: 1
device: hda6
format: 0
mntpoint: /homeA

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'serial'
p8
I0
sS'ddruidReadOnly'
p9
I0
sS'bootdisk'
p10
I0
sS'videoRamState'
p11
S''
sS'monitorOriginalName'
p12
S''
sS'language'
p13
(itodo
Language
(dp14
S'langInfoByName'
p15
(dp16
S'Arabic (Yemen)'
p17
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p18
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p19
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p20
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p21
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p22
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p23
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p24
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p25
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p26
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p27
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p28
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p29
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p31
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p32
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p33
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p34
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p35
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p36
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p37
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p38
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p39
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p40
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p41
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p42
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p43
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p44
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p45
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p46
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p47
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p48
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p49
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p50
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p51
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p52
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p53
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p54
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p55
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p56
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p57
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p58
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p59
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p60
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p61
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p62
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p63
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p64
(S'en_US'
p65
S'iso01'
p66
S'lat0-sun16'
p67
tsS'Spanish (USA)'
p68
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p69
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p70
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p71
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p72
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p73
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p74
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p75
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p76
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p77
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p78
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p79
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p80
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p81
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p82
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p83
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p84
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p85
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p86
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p87
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p88
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p89
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p90
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p91
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p92
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p93
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p94
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p95
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p96
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p97
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p98
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p99
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p100
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p101
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p102
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p103
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p104
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p105
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p106
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p107
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p108
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p109
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p110
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p111
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p112
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p113
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p114
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p115
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p116
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p117
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p118
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p119
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p120
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p121
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p122
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p123
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p124
(lp125
g46
ag82
ag50
ag29
ag98
ag25
ag79
ag26
ag20
ag23
ag48
ag24
ag97
ag106
ag120
ag76
ag102
ag59
ag17
ag96
ag116
ag53
ag58
ag30
ag77
ag52
ag86
ag42
ag115
ag122
ag109
ag41
ag89
ag114
ag100
ag56
ag49
ag85
ag27
ag64
ag92
ag119
ag54
ag83
ag99
ag108
ag31
ag103
ag28
ag55
ag60
ag81
ag110
ag94
ag113
ag36
ag32
ag63
ag101
ag121
ag51
ag78
ag19
ag80
ag104
ag33
ag73
ag22
ag123
ag47
ag91
ag71
ag69
ag45
ag61
ag90
ag44
ag43
ag72
ag111
ag18
ag57
ag75
ag95
ag40
ag107
ag37
ag70
ag21
ag39
ag35
ag93
ag87
ag62
ag38
ag117
ag74
ag68
ag112
ag88
ag105
ag84
ag118
ag34
asS'info'
p126
(dp127
S'SYSFONT'
p128
g67
sS'SUPPORTED'
p129
NsS'SYSFONTACM'
p130
g66
sS'LANG'
p131
g65
ssS'supported'
p132
(lsS'default'
p133
g64
sbsS'instClass'
p134
(ikickstart
KickstartBase
p135
(dp136
S'postScripts'
p137
(lp138
(ikickstart
Script
(dp139
S'script'
p140
S'echo "Kickstart-installed RedHat 7.0 Linux `/bin/date`" > /etc/motd\012#\
012# Post postinstall\012#\012mkdir /regler\012echo "sperry:/regler                    
/regler         nfs     defaults        0 0" >> /etc/fstab\012ln -s /regler/
etc/linux/7.0/install/postinstall /etc/rc.d/rc3.d/S99postinstall\012ln -s /
regler/etc/linux/7.0/install/postinstall /etc/rc.d/rc5.d/S99postinstall\
012#\012# Make \'control.lth.se\' the default domain\012#\012echo 
"control.lth.se" > /tmp/nisdomain\012'
sS'inChroot'
p141
I1
sS'interp'
p142
S'/bin/sh'
p143
sbasS'rootPasswordCrypted'
p144
I1
sS'raidList'
p145
(lp146
(S'/homeA'
p147
S'md0'
p148
I1
(lp149
S'raid.01'
p150
aS'raid.02'
p151
atasS'nameserver'
p152
S''
sS'x'
(ixf86config
XF86Config
p153
(dp154
S'monlist'
p155
(dsS'keyModel'
p156
S'pc102'
p157
sS'keyVariant'
p158
S''
sS'monids'
p159
(dsS'device'
p160
NsS'monEisa'
p161
NsS'state'
p162
S''
sS'server'
p163
S'XFree86'
p164
sS'files'
p165
S'\012# The location of the RGB database.  Note, this is the name of the\
012# file minus the extension (like ".txt" or ".db").  There is normally\
012# no need to change the default.\012\012    RgbPath\011"/usr/X11R6/lib/
X11/rgb"\012\012# Multiple FontPath entries are allowed (they are 
concatenated together)\012# By default, Red Hat 6.0 and later now use a font 
server independent of\012# the X server to render fonts.\012\012    FontPath   
"unix/:7100"\012'
p166
sS'monHoriz'
p167
S'31.5-48.5'
p168
sS'devID'
p169
S'RIVA TNT2'
p170
sS'res'
p171
NsS'descr'
p172
S'nVidia Corporation|Vanta [NV6]'
p173
sS'modes'
p174
(dp175
S'16'
p176
(lp177
S'800x600'
p178
assS'keyOptions'
p179
S''
sS'vidRam'
p180
S'32768'
sS'monID'
p181
S'Unprobed Monitor'
p182
sS'keyLayout'
p183
S'se'
p184
sS'manualModes'
p185
(dsS'mouse'
p186
(imouse
Mouse
p187
(dp188
g160
S'psaux'
p189
sg126
(dp190
S'XMOUSETYPE'
p191
S'PS/2'
p192
sS'FULLNAME'
p193
S'Generic - 2 Button Mouse (PS/2)'
p194
sS'MOUSETYPE'
p195
S'ps/2'
p196
ssS'emu'
p197
I0
sS'wasProbed'
p198
I1
sS'emulate'
p199
I1
sbsS'keyRules'
p200
S'xfree86'
p201
sS'monVert'
p202
S'50-70'
p203
sS'cardMan'
p204
S'NVidia'
p205
sS'monSect'
p206
S''
sS'primary'
p207
I0
sS'skip'
p208
I0
sS'probed'
p209
I1
sS'monName'
p210
NsS'vidCards'
p211
(lp212
(dp213
S'SERVER'
S'SVGA'
sS'DRIVER'
S'nv'
sS'NOCLOCKPROBE'
S''
sS'NAME'
g170
sS'VENDOR'
p214
g205
sS'CHIPSET'
S'RIVATNT2'
sasS'fbDepth'
p215
I16
sbsS'rootPassword'
p216
S'wtLH1RizO0J5k'
p217
sS'makeBootdisk'
p218
I0
sS'installType'
p219
S'install'
p220
sS'postScript'
p221
NsS'earlySwapOn'
p222
I1
sS'networkDevice'
p223
NsS'fstab'
p224
(lp225
(S'/'
(S'hda1'
p226
S'ext2'
p227
I1
tta(S'swap'
p228
(S'hda5'
p229
S'swap'
p230
I1
tta(S'swap'
p231
(S'hdb5'
p232
g230
I1
tta(S'raid.01'
p233
(S'hda6'
p234
g227
I0
tta(S'raid.02'
p235
(S'hdb6'
p236
g227
I0
tta(S'/backup/homeB'
p237
(S'hda7'
p238
g227
I0
tta(S'/backup/homeC'
p239
(S'hdb7'
p240
g227
I0
ttasS'preScripts'
p241
(lsS'clearText'
p242
NsS'lilo'
p243
(S'mbr'
p244
I1
Ntsg13
S'en_US'
sS'name'
p245
S''
sS'postInChroot'
p246
I0
sS'pixmap'
p247
S''
sS'partitions'
p248
(lsS'clearType'
p249
NsS'gateway'
p250
S''
sg186
(g194
NI1
tsS'packages'
p251
(lp252
S'python-docs'
aS'zsh'
aS'pythonlib'
aS'python-tools'
aS'autofs'
aS'python-devel'
aS'xfig'
aS'python'
aS'openssh-server'
aS'zip'
aS'transfig'
aS'gmp-devel'
aS'unzip'
asS'timezone'
p253
(S'Europe/Stockholm'
p254
I1
I0
tp255
sS'zeroMbr'
p256
I1
sS'keyboard'
p257
S'se-latin1'
p258
sS'groups'
p259
(lp260
S'Networked Workstation'
aS'Development'
aS'X Window System'
aS'Graphics Manipulation'
aS'Authoring/Publishing'
aS'Emacs'
aS'GNOME'
aS'KDE'
aS'Games'
aS'Multimedia Support'
asS'bootProto'
p261
S'dhcp'
p262
sS'netmask'
p263
S''
sS'langdefault'
p264
NsS'skipSteps'
p265
(dp266
S'firewall'
p267
I1
sS'network'
p268
I1
sg186
I1
sg253
I1
sg257
I1
sS'lba32warning'
p269
I1
sS'xconfig'
p270
I1
sS'accounts'
p271
I1
sS'languagedefault'
p272
I1
sS'package-selection'
p273
I1
sg10
I1
sS'authentication'
p274
I1
sS'languagesupport'
p275
I1
sS'welcome'
p276
I1
sg243
I1
sS'confirm-upgrade'
p277
I1
sg13
I1
sS'confirm-install'
p278
I1
sS'custom-upgrade'
p279
I1
ssS'auth'
p280
(I0
I0
I0
NI0
NI0
I0
NNI0
NNNI0
NNtsS'hostname'
p281
NsS'langsupported'
p282
NsS'showgroups'
p283
NsS'ip'
p284
Nsg267
(I-1
I1
(lp285
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p286
NsS'desktop'
p287
S''
sS'clearPartText'
p288
NsS'clearParts'
p289
I0
sbsS'bdstate'
p290
S''
sS'extraModules'
p291
(lp292
sS'rootpassword'
p293
NsS'fdDevice'
p294
S'fd0'
p295
sS'installSystem'
p296
I1
sS'comps'
p297
NsS'verifiedState'
p298
Nsg280
(itodo
Authentication
(dp299
S'useNIS'
p300
I0
sS'nisServer'
p301
NsS'useLdap'
p302
I0
sS'krb5Kdc'
p303
NsS'ldapTLS'
p304
S''
sS'useHesiod'
p305
I0
sS'ldapServer'
p306
NsS'nisDomain'
p307
NsS'krb5Realm'
p308
NsS'useLdapauth'
p309
I0
sS'hesiodRhs'
p310
NsS'useShadow'
p311
I0
sS'nisuseBroadcast'
p312
I0
sS'useKrb5'
p313
I0
sS'useMD5'
p314
I0
sS'ldapBasedn'
p315
NsS'krb5Admin'
p316
NsS'hesiodLhs'
p317
NsS'hesiodDlhs'
p318
S''
sbsS'users'
p319
NsS'hdList'
p320
NsS'dhcpState'
p321
S''
sS'method'
p322
(iimage
NfsInstallMethod
p323
(dp324
S'tree'
p325
S'/mnt/source/.'
sbsS'rebuildTime'
p326
NsS'initlevel'
p327
I3
sS'depthState'
p328
S''
sS'isDDC'
p329
S''
sS'monitorVsyncState'
p330
S''
sS'initState'
p331
I0
sS'videoCardOriginalNode'
p332
S''
sS'monitorHsyncState'
p333
S''
sS'lilostate'
p334
S''
sg224
Nsg243
(ililo
LiloConfiguration
(dp335
S'liloDevice'
p336
g244
sS'initrdsMade'
p337
(dsS'liloImages'
p338
(dsg133
NsS'edd'
p339
I1
sS'liloLinear'
p340
I1
sS'liloAppend'
p341
S''
sbsS'monitorHsync'
p342
S''
sS'expert'
p343
I0
sg268
(itodo
Network
(dp344
S'netdevices'
p345
(dp346
S'eth0'
p347
(itodo
NetworkDevice
(dp348
g126
(dp349
S'ONBOOT'
p350
S'yes'
p351
sS'BOOTPROTO'
p352
g262
sS'DEVICE'
p353
g347
ssbssg250
S''
sS'secondaryNS'
p354
S'130.235.20.3'
sg281
S'alsaati'
sS'primaryNS'
p355
S''
sS'domains'
p356
(lp357
S'control.lth.se'
asS'isConfigured'
p358
I1
sS'readData'
p359
I1
sS'ternaryNS'
p360
S'130.235.40.210'
sbsS'probedFlag'
p361
S''
sS'upgrade'
p362
I0
sS'firewallState'
p363
I0
sS'intf'
p364
NsS'deadkeyState'
p365
S''
sg186
g187
sS'ddruidAlreadySaved'
p366
I0
sS'videoRamOriginal'
p367
S''
sg253
g255
sg256
I1
sg257
(ikbd
Keyboard
(dp368
S'layout'
p369
NsS'model'
p370
NsS'type'
p371
S'PC'
p372
sg126
(dp373
S'KEYBOARDTYPE'
p374
S'pc'
p375
sS'KEYTABLE'
p376
g258
ssbsS'monitorOriginalNode'
p377
S''
sg281
NsS'reconfigOnly'
p378
I0
sS'x'
g153
sg267
(itodo
Firewall
(dp379
S'ports'
p380
(lsS'trustdevs'
p381
g285
sS'dhcp'
p382
I0
sS'policy'
p383
I1
sS'ssh'
p384
I0
sS'telnet'
p385
I0
sS'smtp'
p386
I0
sS'enabled'
p387
I-1
sS'portlist'
p388
S''
sS'http'
p389
I0
sS'ftp'
p390
I0
sbsS'videoCardOriginalName'
p391
S''
sS'instPath'
p392
S'/mnt/sysimage'
p393
sS'videoCardStateName'
p394
S''
sS'instTimeLanguage'
p395
(itodo
InstallTimeLanguage
(dp396
S'kbd'
p397
(dp398
S'Italian'
p399
S'it'
sS'Serbian'
p400
S'us'
sS'Russian'
p401
S'ru'
sS'English'
p402
S'us'
sS'Slovak'
p403
S'sk-qwerty'
sS'Norwegian'
p404
S'no-latin1'
sS'Swedish'
p405
S'se-latin1'
sS'Slovenian'
p406
S'slovene'
sS'French'
p407
S'fr-latin1'
sS'Japanese'
p408
S'jp106'
sS'Danish'
p409
S'us'
sS'Romanian'
p410
S'ro'
sS'German'
p411
S'de-latin1-nodeadkeys'
sS'Turkish'
p412
S'trq'
sS'Hungarian'
p413
S'hu'
sS'Spanish'
p414
S'es'
sS'Ukrainian'
p415
S'ua'
sS'Czech'
p416
S'cz-lat2'
sS'Portuguese'
p417
S'pt-latin1'
sS'Icelandic'
p418
S'is-latin1'
ssS'font'
p419
(dp420
g399
S'lat0-sun16'
sg400
S'cyr-sun16'
sg401
S'cyr-sun16'
sg402
S'default8x16'
sg403
S'lat2-sun16'
sg404
S'lat0-sun16'
sg405
S'lat0-sun16'
sg406
S'lat2-sun16'
sg407
S'lat0-sun16'
sg408
S'None'
sg409
S'lat0-sun16'
sg410
S'lat2-sun16'
sg411
S'lat0-16'
sg412
S'lat5-sun16'
sg413
S'lat2-sun16'
sg414
S'lat0-sun16'
sg415
S'cyr-sun16'
sg416
S'lat2-sun16'
sg417
S'lat0-sun16'
sg418
S'lat0-sun16'
ssS'langNicks'
p421
(dp422
g399
S'it_IT'
sg400
S'sr_YU'
sg401
S'ru_RU.koi8r'
sg402
S'en_US'
p423
sg403
S'sk_SK'
sg404
S'no_NO'
sg405
S'sv_SE'
sg406
S'sl_SI'
sg407
S'fr_FR'
sg408
S'ja_JP.eucJP'
sg409
S'da_DK'
sg410
S'ro_RO'
sg411
S'de_DE'
sg412
S'tr_TR'
sg413
S'hu_HU'
sg414
S'es_ES'
sg415
S'uk_UA'
sg416
S'cs_CZ'
sg417
S'pt_PT'
sg418
S'is_IS'
ssS'tz'
p424
(dp425
g399
S'Europe/Rome'
sg400
S'Europe/Belgrade'
sg401
S'Europe/Moscow'
sg402
S'America/New_York'
sg403
S'Europe/Bratislava'
sg404
S'Europe/Oslo'
sg405
S'Europe/Stockholm'
sg406
S'Europe/Ljubljana'
sg407
S'Europe/Paris'
sg408
S'Asia/Tokyo'
sg409
S'Europe/Copenhagen'
sg410
S'Europe/Bucharest'
sg411
S'Europe/Berlin'
sg412
S'Europe/Istanbul'
sg413
S'Europe/Budapest'
sg414
S'Europe/Madrid'
sg415
S'Europe/Kiev'
sg416
S'Europe/Prague'
sg417
S'Europe/Lisbon'
sg418
S'Atlantic/Reykjavik'
ssS'langList'
p426
(lp427
g416
ag409
ag402
ag407
ag411
ag413
ag418
ag399
ag408
ag404
ag417
ag410
ag401
ag400
ag403
ag406
ag414
ag405
ag412
ag415
asS'tempDefault'
p428
S''
sS'map'
p429
(dp430
g399
S'iso15'
sg400
S'iso05'
sg401
S'koi8-r'
sg402
S'iso01'
sg403
S'iso02'
sg404
S'iso15'
sg405
S'iso15'
sg406
S'iso02'
sg407
S'iso15'
sg408
S'None'
sg409
S'iso15'
sg410
S'iso02'
sg411
S'iso09'
sg412
S'iso09'
sg413
S'iso02'
sg414
S'iso15'
sg415
S'koi8-u'
sg416
S'iso02'
sg417
S'iso15'
sg418
S'iso15'
ssbsb
Comment 1 Anders Blomdell 2001-04-19 11:37:29 EDT
Only uncommenting 'part /homeA' leaves the following suspiciously looking lines 
in /etc/fstab:

/dev/hda6               raid.01                 ext2    defaults        1 2
/dev/hdb6               raid.02                 ext2    defaults        1 2
Comment 2 Brent Fox 2001-04-19 17:15:02 EDT
I think something may be wrong with your kickstart file.  I think that the
'--usepart' option is invalid.  According to the kickstart docs, '--onpart' is
the option you want to use.

Please see
http://www.redhat.com/support/manuals/RHL-7.1-Manual/customization-guide/s1-kickstart2-options.html
for details.  Please reopen this bug if changing this does not fix the problem.

Comment 3 Anders Blomdell 2001-04-20 03:00:19 EDT
The bug still exists with --onpart.Not very surprising since http://
www.redhat.com/support/manuals/RHL-7.1-Manual/customization-guide/s1-kickstart2-
options.html says:

--onpart <part> or --usepart <part>

          Tells the installation program to put the partition on the already 
          existing device <part>. For example, partition /home --onpart
          hda1 will put /home on /dev/hda1, which must already exist. 

I personally prefer to use the --usepart syntax, since all other --on* commands 
starts with the text "Forces the partition to be created..." (in fact my original 
patch had exactly that function, since I needed full control of partitioning). I 
guess that the problem is that partitions of different kinds (ordinary, swap, 
raid, ...) are placed in different tables, which makes it difficult to test all 
variations. I'm willing to rewrite the code to handle it in a uniform way, but 
previous experience shows that patches that changes as few locations as possible 
are more likely to be accepted (leading to patchwork solutions).

Thats enough whining for today, keep up the good work.
Comment 4 Brent Fox 2001-05-08 15:56:41 EDT
A rework of the partitioning subsystem is on the drawing board, so to speak, so
I think this issue will be fixed by msw's work on partitioning.  As such,
there's not much use in patching the current code.

Note You need to log in before you can comment on or make changes to this bug.